STL_TRANSFORM(1)

NAME
stl_transform - stl_transform performs any number of transformations to an STL file.

DESCRIPTION
stl_transform performs any number of transformations to an STL file.

usage: stl_transform [[ <transformation> ] ...] <input file> <output file>

    Performs any number of the following transformations in the order they are listed on the command line:

-rx <angle> - rotates <angle> degrees about the x-axis

-ry <angle> - rotates <angle> degrees about the y-axis

-rz <angle> - rotates <angle> degrees about the z-axis

-s <s> - uniformly scales x, y and z by <s> (cannot be 0)

-sx <x> - scales by <x> in x (cannot be 0)

-sy <y> - scales by <y> in y (cannot be 0)

-sz <z> - scales by <z> in z (cannot be 0)

-tx <x> - translates <x> units in x

-ty <y> - translates <y> units in y

-tz <z> - translates <z> units in z